Bug 493366 - gstreamer white noise partial freeze on FireGL T2 chip
gstreamer white noise partial freeze on FireGL T2 chip
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 11:19 EDT by Chris Schumann
Modified: 2010-03-02 12:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 12:42:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file after playing video test in gstreamer-preferences (56.41 KB, text/plain)
2009-04-06 22:11 EDT, Chris Schumann
no flags Details

  None (edit)
Description Chris Schumann 2009-04-01 11:19:43 EDT
Description of problem:
Testcase_radeon_xvideo shows partially frozen white noise in test when window is dragged off left edge of screen. Drag so window content is off the display by one pixel, and the right-most column freezes. Drag it off a lot, and the entire noise portion freezes.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Boot from Test Day Radeon LiveCD.
2. Set gstreamer-properties so video output is X11/XShm/Xv
3. Start video test
4. Drag video window partially off left edge of display
  
Actual results:
Observe partially frozen noise.

Expected results:
White noise should play smoothly.

Additional info:
Hardware used: http://www.smolts.org/client/show/pub_76127e40-8685-4f9d-b8da-fc91596c5b84
Comment 1 Chris Schumann 2009-04-01 14:51:50 EDT
Also happens on my ThinkPad T60 with ATI Mobility Radeon X1400 (RV515) chip, booting from LiveUSB with Test Day Radeon image.
Comment 2 Matěj Cepl 2009-04-06 17:33:49 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Chris Schumann 2009-04-06 22:10:51 EDT
I booted from the Test_Day_Radeon LiveCD so I have no xorg.conf file. I will attach my Xorg.0.log file immediately. This log file is for a different system - a ThinkPad T60 with the following smolt profile:

http://www.smolts.org/client/show/pub_5e5c1009-74bb-40b6-a4f6-47bf0e18f387
Comment 4 Chris Schumann 2009-04-06 22:11:42 EDT
Created attachment 338442 [details]
Xorg log file after playing video test in gstreamer-preferences
Comment 5 Bug Zapper 2009-06-09 08:58:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:24:22 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Matěj Cepl 2010-02-26 07:19:41 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 8 Chris Schumann 2010-02-26 09:26:49 EST
What I did:
- Boot afflicted machine (ThinkPad T41p) with Fedora 12 i686 LiveCD.
- Open Terminal
- su -
- yum install totem gnome-media
- yum install gnome-media-apps
- Run gstreamer-properties; set Default Output Plugin to X Window System (X11/XShm/Xv)
- Hit Test and observe

The video noise plays smoothly. Looks like it's fixed!
Comment 9 Matěj Cepl 2010-03-02 12:42:16 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.